>From 691e57e98959534c259b4a421fff7e4607b8d1a9 Mon Sep 17 00:00:00 2001
From: Ben Taylor <bent@bent-desktop.(none)>
Date: Thu, 26 Apr 2007 09:26:53 -0400
Subject: [PATCH] make wineshelllink more /bin/sh and awk compatible

---
 configure           |    8 ++++----
 tools/wineshelllink |    6 ++++--
 2 files changed, 8 insertions(+), 6 deletions(-)

diff --git a/configure b/configure
index 3e550ea..6d971a2 100755
--- a/configure
+++ b/configure
@@ -8684,7 +8684,7 @@ if test "${ac_cv_lib_audio_AuCreateFlow+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-laudio -lXt $X_LIBS -lXext -lX11 $X_EXTRA_LIBS $LIBS"
+LIBS="-laudio -lXt $X_LIBS -lXext -lX11 $X_EXTRA_LIBS -lm $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -8751,7 +8751,7 @@ if test "${ac_cv_lib_Xau_XauGetBestAuthByAddr+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lXau $X_LIBS $LIBS"
+LIBS="-lXau $X_LIBS -lm $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -8807,9 +8807,9 @@ fi
 { echo "$as_me:$LINENO: result: $ac_cv_lib_Xau_XauGetBestAuthByAddr" >&5
 echo "${ECHO_T}$ac_cv_lib_Xau_XauGetBestAuthByAddr" >&6; }
 if test $ac_cv_lib_Xau_XauGetBestAuthByAddr = yes; then
-  NASLIBS="-lXau -laudio -lXt $X_LIBS -lXext -lX11 $X_EXTRA_LIBS"
+  NASLIBS="-lXau -laudio -lXt $X_LIBS -lXext -lX11 $X_EXTRA_LIBS -lm"
 else
-  NASLIBS="-laudio -lXt $X_LIBS -lXext -lX11 $X_EXTRA_LIBS"
+  NASLIBS="-laudio -lXt $X_LIBS -lXext -lX11 $X_EXTRA_LIBS -lm"
 fi
 
 
diff --git a/tools/wineshelllink b/tools/wineshelllink
index b4d76d8..3cfea28 100755
--- a/tools/wineshelllink
+++ b/tools/wineshelllink
@@ -141,7 +141,8 @@ get_menu_entries()
         awk '
 BEGIN {  RS="<" }
 /^Filename/ {
-  if (match($0,/>/)) {
+  RSTART=index($0,">")
+  if (RSTART>0) {
      print substr($0,RSTART+1)
   }
 }' $tmp
@@ -182,7 +183,8 @@ write_menu_file()
 
         IFS="
 "
-        for i in $(get_menu_entries "$menu"); do
+        for i in `get_menu_entries "$menu"`
+        do
             test "$i" = "$filename" && continue
             echo "      <Filename>$i</Filename>"
         done
-- 
1.5.1.1

